
@echo off
echo Compaq Support Paq for Microsoft Windows 2000
echo -----------------------------------

set _cpq_reboot_reqd=

echo Installing Compaq Advanced System Management Controller Driver ...
cp000504.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq System Management Controller Driver ...
cp000505.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Integrated System Management Controller Driver ...
cp000506.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Drive Array Driver ...
cp000507.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Smart Array-2 Controllers Driver ...
cp000508.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq 32-Bit SCSI Controller ...
cp000509.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Smart Array 5x Adapter Support ...
cp000510.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq 64-Bit/66Mhz Wide Ultra3 Controller Driver ...
cp000511.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq StorageWorks Fibre Channel Host Bus Adapter Driver ...
cp000512.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq CMD 0649 Ultra DMA IDE Controller Driver for Windows 2000 ...
cp000513.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Integrated Ultra ATA-100 Dual Channel Driver ...
cp000654.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq NetFlex/Netelligent Adapter Driver ...
cp000723.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Ethernet or Fast Ethernet NIC Driver ...
cp000721.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Gigabit Ethernet NIC Driver ...
cp000722.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Network Teaming and Configuration ...
cp000720.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Proliant Storage System Support ...
cp000514.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Drive Array Notification ...
cp000515.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Remote Monitor Service ...
cp000516.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq PCI Hot Plug Controller Driver ...
cp000517.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Integrated Management Display Utility ...
cp000518.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Integrated Management Log Viewer ...
cp000519.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Power Supply Viewer ...
cp000520.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Power Down Manager ...
cp000521.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Enhanced Integrated Management Display Service ...
cp000522.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Array Configuration Utility ...
cp000523.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq ATI RAGE IIC Video Controller Driver ...
cp000524.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Remote Insight Board Driver ...
cp000525.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Array Redundancy Software ...
cp000526.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Foundation Agent ...
cp000436.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Server Agent ...
cp000437.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Storage Agent ...
cp000439.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq NIC Agent ...
cp000438.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Survey Utility ...
cp000440.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes


if "%_cpq_reboot_reqd%"=="yes" echo One or more components require a reboot
echo Installation complete
